Bug 1182786 - [RFE][HC] - ovirt-host-deploy should configure glusterd.vol for supporting HC Hosted Engine when adding additional hosts
Summary: [RFE][HC] - ovirt-host-deploy should configure glusterd.vol for supporting HC...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-host-deploy
Classification: oVirt
Component: Plugins.Gluster
Version: 1.3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Sandro Bonazzola
QA Contact: meital avital
URL:
Whiteboard: integration
Depends On:
Blocks: Generic_Hyper_Converged_Host
TreeView+ depends on / blocked
 
Reported: 2015-01-15 22:12 UTC by Paul Cuzner
Modified: 2015-09-20 19:14 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-22 12:02:45 UTC
oVirt Team: ---


Attachments (Terms of Use)
sample iptables config file from a converged node (rh7/glusterfs3.6) (1.17 KB, text/plain)
2015-01-15 22:13 UTC, Paul Cuzner
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 38547 0 master MERGED hosted-engine: allow to deploy hosted-engine Never
oVirt gerrit 39678 0 master ABANDONED hosted-engine: configure gluster for HC Never

Description Paul Cuzner 2015-01-15 22:12:50 UTC
Description of problem:
Under hyperconverged the firewall configuration does not account for the offset required to prevent vdsm and gluster brick ports overlapping

A pre-req is to ensure that the glusterfs installation has it's base-port defined in /etc/glusterfs/glusterd.vol 
i.e.
    option base-port 49217

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
the firewall on a converged nodes should align to the base-port re-assignment in gluster (example attached)

Additional info:

Comment 1 Paul Cuzner 2015-01-15 22:13:37 UTC
Created attachment 980678 [details]
sample iptables config file from a converged node (rh7/glusterfs3.6)

Comment 2 Fabian Deutsch 2015-01-16 09:07:37 UTC
Is this bug about setting the base-port option, or about adjusting the firewall to that port?

Comment 3 Paul Cuzner 2015-01-16 22:15:07 UTC
(In reply to Fabian Deutsch from comment #2)
> Is this bug about setting the base-port option, or about adjusting the
> firewall to that port?

Both. To my mind updating the firewall without the base-port update is non-sensical and vice versa. If this needs to be 2 BZ's let me know and I raise another one - but the bottom line is that the firewall and base-port need to be done and they're related.

Comment 4 Sandro Bonazzola 2015-04-08 13:35:21 UTC
Just to recap the status of this bug:
- on engine side, the firewalls rules have been updated for supporting the HC configuration with bug #1202768
- on first host for Hosted Engine in HC setup the support for changing base-port in /etc/glusterfs/glusterd.vol is covered by http://www.ovirt.org/Features/Self_Hosted_Engine_Hyper_Converged_Gluster_Support and included in the patch under review https://gerrit.ovirt.org/36108 ; the feature is tracked under bug #1175354

What is missing is to set base-port in /etc/glusterfs/glusterd.vol on additional hosts for HC setup and this has to be done in ovirt-host-deploy.
Additional host support is under review in patch http://gerrit.ovirt.org/38547.

In order to support a contingency plan if HC feature won't be ready I'll push a separate patch for adding only the /etc/glusterfs/glusterd.vol configuration if hosted engine and gluster support are both enabled.

Please let me know if the glusterd.vol change must be done always for gluster enabled hosts or if it's ok to have this done only in the Hosted Engine case.

Comment 5 Paul Cuzner 2015-04-09 00:09:41 UTC
The glusterd.vol update and firewall change is required for gluster enabled virt host (HC node)...I don't think the engine being self-hosted or external has a bearing on this requirement.

Comment 6 Sandro Bonazzola 2015-05-22 12:02:45 UTC
According to the discussion in https://gerrit.ovirt.org/#/c/39678/1/src/plugins/ovirt-host-deploy/hosted-engine/glusterd.py it's not required to change the base-port option
Closing as wontfix.


Note You need to log in before you can comment on or make changes to this bug.